ISXEVE - Bug #2120

Market Order function is broken
2019-11-23 09:43 AM - wanjizheng

Status: Accepted
Priority: Urgent
Assignee:

Category: broken feature(s)

Target version:

vbulletin_issue_id:

Description

Hi, it seems that the marketorder function is broken. The following C# code worked fine before | AFK about 6 months ago. Back to
then | have used the same ISXEVE .NET wrapper as you updated on 28 Sep. Now it can't retrieve any orders. | also tried the script
("My Order") on the below website, but it doesn't work either:

https://www.isxgames.com/f/threads/howto-market-interaction.1932/#post-11949

FramelLockManager myFLM = new FramelLockManager();
List<MyOrder> myList_MyOrders;
myFLM.Lock();
#region FrameLock
Extension myExt = new Extension();
myExt.Me.UpdateMyOrders();
myExt.EVE().ClearMarketOrderCache();
#endregion
myFLM.Unlock();

myList_MyOrders = null;
do
{
Thread.Sleep(1000);
myFLM.Lock();
#region FrameLock
myList_MyOrders = myExt.Me.GetMyOrders();

#endregion

myFLM.Unlock();
} while (myList_MyOrders == null);

Subtasks:
Bug # 2130: GetMyOrders and GetMarketOrders not working Duplicate

History

#1 - 2019-11-23 01:59 PM - wanjizheng

Run the below Lavishscript:

function main()

{
variable inti =1
variable index:myorder Orders
variable int OrdersCount

echo "Updating/Fetching My Orders..."

Me:UpdateMyOrders
wait 10
https://www.isxgames.com/f/threads/howto-market-interaction.1932/#post-11949

OrdersCount:Set[${Me.GetMyOrders[Orders]}]
echo Populating Orders List:: ${OrdersCount} items total

}
Then return the following message:
Updating/Fetching My Orders...

Error:No such 'character' member 'GetMyOrders' @${Me.GetMyOrders[Orders]}
Populating Orders List:: 0 items total

#2 - 2020-04-28 10:48 PM - CyberTech
- Category set to broken feature(s)

- Status changed from New to Accepted
